Loading...
Searching...
No Matches
osmo_xlm_prim Struct Reference

`#include <sigtran_sap.h>`

## Data Fields

struct osmo_prim_hdr | oph
union { |
struct osmo_xlm_prim_notify notify |
struct osmo_xlm_prim_error error |
struct osmo_xlm_prim_rk_reg rk_reg |
struct osmo_xlm_prim_rk_dereg rk_dereg |
} | u

## Field Documentation

## error

struct osmo_xlm_prim_error osmo_xlm_prim::error

Referenced by m3ua_rx_mgmt_err().

## notify

struct osmo_xlm_prim_notify osmo_xlm_prim::notify

Referenced by lm_active(), lm_wait_notify(), and m3ua_rx_mgmt_ntfy().

## oph

struct osmo_prim_hdr osmo_xlm_prim::oph

Referenced by lm_active(), lm_timer_cb(), lm_wait_notify(), osmo_xlm_sap_down(), xua_asp_send_xlm_prim(), and xua_xlm_prim_alloc().

## rk_dereg

struct osmo_xlm_prim_rk_dereg osmo_xlm_prim::rk_dereg

Referenced by handle_rkey_dereg_resp(), and osmo_xlm_sap_down().

## rk_reg

struct osmo_xlm_prim_rk_reg osmo_xlm_prim::rk_reg

Referenced by handle_rkey_dereg_resp(), handle_rkey_reg_resp(), lm_rkm_reg(), lm_timer_cb(), and osmo_xlm_sap_down().

## [union]

union { ... } osmo_xlm_prim::u

Referenced by handle_rkey_dereg_resp(), handle_rkey_reg_resp(), lm_active(), lm_rkm_reg(), lm_timer_cb(), lm_wait_notify(), m3ua_rx_mgmt_err(), m3ua_rx_mgmt_ntfy(), and osmo_xlm_sap_down().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/sigtran_sap.h